Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Interface NodeChangeListener

All Known Subinterfaces:
  NodeContainer, PolicyElementContainer

All Known Implementing Classes:
  AbstractNodeContainer, AbstractPolicyNode, PolicyElementNode, RootNode, XACMLTreeModel

public interface NodeChangeListener

Method Summary
`void` | `nodeAdded(XACMLTreeNode node, int newIndex)`
`void` | `nodeChanged(XACMLTreeNode node)`
`void` | `nodeRemoved(XACMLTreeNode removedNode, int oldChildIndex)`

Method Detail

### nodeChanged

    public void nodeChanged(XACMLTreeNode node)

### nodeAdded

    public void nodeAdded(XACMLTreeNode node,
                          int newIndex)

### nodeRemoved

    public void nodeRemoved(XACMLTreeNode removedNode,
                            int oldChildIndex)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.